#include <sys/stat.h>

int su_stat(const char *path, struct stat *buf);
int su_fstat(int fd, struct stat *buf);
int su_lstat(const char *path, struct stat *buf);

#define stat(a,b) 		su_stat(a,b)
#define fstat(a,b) 		su_fstat(a,b)
#define lstat(a,b) 		su_lstat(a,b)

int su_fstatat(int dirfd, const char *pathname, struct stat *buf, int flags);

#define fstatat(a,b,c,d) 		su_fstatat(a,b,c,d)
